%global package_description\
The linecache module allows one to get any line from any file, while \
attempting to optimize internally, using a cache, the common case where many \
lines are read from a single file. This package provides a backport of \
linecache to older supported Python versions.

Name:           python-linecache2
Version:        1.0.0
Release:        20
Summary:        A backport of linecache to older supported Python versions
License:        Python
URL:            https://github.com/testing-cabal/linecache2
Source0:        https://pypi.python.org/packages/source/l/linecache2/linecache2-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel python3-pbr python3-fixtures python3-unittest2

%description
%{package_description}

%package        -n python3-linecache2
Summary:        A backport of linecache to older supported Python versions
%description    -n python3-linecache2
%{package_description}

%prep
%autosetup -n linecache2-%{version}
mv linecache2/tests .

%build
%py3_build

%install
%py3_install

mv tests linecache2/
%{__python3} -m unittest2 -v
mv linecache2/tests .

%files          -n python3-linecache2
%doc AUTHORS ChangeLog README.rst
%{python3_sitelib}/*

%changelog
* Tue Sep 29 2020 liuweibo <liuweibo10@huawei.com> - 1.0.0-20
- Fix Source0 

* Mon Aug 10 2020 lingsheng <lingsheng@huawei.com> - 1.0.0-19
- Remove python2-linecache2 subpackage

* Tue Nov 26 2019 lihao <lihao129@huawei.com> - 1.0.0-18
- Package Init
